Routing
Reply
Contributor
SRAHEEL
Posts: 17
Registered: ‎12-17-2008
0

I am getting ther error when I upgrade my m7i junos from 8.2 to 8.5

currently i m runing junos 8.2R4 and I wana upgrade my m7i router to 10.x version but as per juniper first I need to upgrade 8.5 version So I did it but I am facing the error lik

 

WARNING: This version of JUNOS cannot validate 8.5R4.3
WARNING: Please install JUNOS 8.5 or newer first,
WARNING: or use the 'no-validate' option (not recommended).

ERROR: validate-config: jbundle/+REQUIRE fails
WARNING: Current configuration not compatible with /var/tmp/jbundle-8.5R4.3-expo
rt.tgz

 

anyone help me on the same !!

Syed Raheel
Network Engineer,
Spectrum Training Dubai,
JNCIP-Sec ,JNCIS-Sec JNCIA-FW, JNCIS-FW,JNCIS-ENT
JNCIA-JUNOS,CCNA,CCNP
Trusted Contributor
Saverio
Posts: 95
Registered: ‎06-22-2011
0

Re: I am getting ther error when I upgrade my m7i junos from 8.2 to 8.5

Hi Sraheel,

 

It looks like you are hitting a PR similar to 232061; at the very least, the error message you are getting is severely misleading.

I would contact the JTAC, after making sure you have a big enough CF; for 8.5, it is 512M if I recall correctly.

 

If this is not a production router and you have a console connection, you may even attempt to use the no-validate knob, but beware: if the newer JUNOS fails to commit the initial configuration due to validation errors, all your interfaces will stay DOWN, and you will need todo this:

 

- login on the console (you will get a message about configuration not committed)

- enter configuration mode

- Try to commit, check for errors and correct the problematic statements on the fly.

 

I would never attempt this without being on-site with console and a recovery media (and of course the saved config on my laptop).

 

I hope this helps,

 Saverio

 

 

Contributor
SRAHEEL
Posts: 17
Registered: ‎12-17-2008
0

Re: I am getting ther error when I upgrade my m7i junos from 8.2 to 8.5

Hi Saverio,

 

I Finished the upgradation of device and I Upgrade the box through Flash drive  and it was successfully upgraded.

anyways thanks for you reply.i tried throigh FTP but i couldnt succed then I decide to do this thorugh flash drive and copy the junos in it then take the help of snapshot command.

Syed Raheel
Network Engineer,
Spectrum Training Dubai,
JNCIP-Sec ,JNCIS-Sec JNCIA-FW, JNCIS-FW,JNCIS-ENT
JNCIA-JUNOS,CCNA,CCNP
Trusted Contributor
Saverio
Posts: 95
Registered: ‎06-22-2011
0

Re: I am getting ther error when I upgrade my m7i junos from 8.2 to 8.5

 

 

.. well, all is well what ends well!

 

Good to hear the router is now up and running!

 

Saverio

Copyright© 1999-2013 Juniper Networks, Inc. All rights reserved.